NXOpen .NET Reference  12.0.0
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.StandardPartBuilder Class Reference

Represents a builder to be used to create Mold Wizard Standard Part. More...

Inheritance diagram for NXOpen.Tooling.StandardPartBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  EditType { AddInstance, NewComponent, Modify }
 Represents the type to edit a standard part. More...
 
enum  RefsetName { True, False, EntirePart }
 Represents the reference set of the standard part when it is added to the assembly. More...
 

Public Member Functions

unsafe void Help ()
 Ask help of the selected standard part component. More...
 
unsafe void Reposition ()
 Repositions the selected standard part component. More...
 
unsafe void Flip ()
 Flips the selected standard part component. More...
 
unsafe void RemoveComponent ()
 Removes the selected standard part component. More...
 
unsafe void EditRegister ()
 Edits the registering spread sheet file of the standard item selected in Reuse Member View. More...
 
unsafe void EditDataBase ()
 Edits the data file of the standard item selected in Reuse Member View More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe bool AssociativePosition [get, set]
 Returns or sets the flag to indicate whether to use the associative position method. More...
 
unsafe bool ConceptDesign [get, set]
 Returns or sets the flag to indicate whether to add concept symbols instead of real standard parts. More...
 
unsafe NXOpen.SelectNXObject PointPattern [get]
 Returns the point pattern used to control how to standard parts. More...
 
unsafe NXOpen.SelectNXObject PostioningPlane [get]
 Returns the postioning plane used to position a standard part. More...
 
unsafe
NXOpen.Tooling.StandardPartBuilder.RefsetName 
ReferenceSet [get, set]
 Returns or sets the reference set currently used to add a new component to an assembly. More...
 
unsafe bool RenameComponents [get, set]
 Returns or sets the flag to indicate whether to bring up the Part Name Management dialog. More...
 
unsafe bool ShowInfoWindow [get, set]
 Returns or sets the flag to indicate whether to show the Information Window. More...
 
unsafe NXOpen.SelectNXObject StandardPartComponent [get]
 Returns the standard part component which is selected to be edited. More...
 
unsafe
NXOpen.Tooling.StandardPartBuilder.EditType 
StandardPartEditType [get, set]
 Returns or sets the standard part edit type of processing the selected component. More...
 

Detailed Description

Represents a builder to be used to create Mold Wizard Standard Part.

To create a new instance of this class, use NXOpen.Tooling.StandardPartCollection.CreateStandardPartBuilder

Default values.

Property Value

AssociativePosition

0

ConceptDesign

0

ReferenceSet

True

RenameComponents

0

ShowInfoWindow

0

StandardPartEditType

AddInstance

Created in NX8.0.0

Member Enumeration Documentation

Represents the type to edit a standard part.

Enumerator
AddInstance 
NewComponent 
Modify 

Represents the reference set of the standard part when it is added to the assembly.

Enumerator
True 
False 
EntirePart 

Member Function Documentation

unsafe void NXOpen.Tooling.StandardPartBuilder.EditDataBase ( )

Edits the data file of the standard item selected in Reuse Member View

Created in NX8.0.0

License requirements: None.

unsafe void NXOpen.Tooling.StandardPartBuilder.EditRegister ( )

Edits the registering spread sheet file of the standard item selected in Reuse Member View.

Created in NX8.0.0

License requirements: None.

unsafe void NXOpen.Tooling.StandardPartBuilder.Flip ( )

Flips the selected standard part component.

Created in NX8.0.0

License requirements: None.

unsafe void NXOpen.Tooling.StandardPartBuilder.Help ( )

Ask help of the selected standard part component.

Created in NX8.0.0

License requirements: None.

unsafe void NXOpen.Tooling.StandardPartBuilder.RemoveComponent ( )

Removes the selected standard part component.

Created in NX8.0.0

License requirements: None.

unsafe void NXOpen.Tooling.StandardPartBuilder.Reposition ( )

Repositions the selected standard part component.

Created in NX8.0.0

License requirements: None.

Property Documentation

unsafe bool NXOpen.Tooling.StandardPartBuilder.AssociativePosition
getset

Returns or sets the flag to indicate whether to use the associative position method.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.StandardPartBuilder.ConceptDesign
getset

Returns or sets the flag to indicate whether to add concept symbols instead of real standard parts.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

unsafe NXOpen.SelectNXObject NXOpen.Tooling.StandardPartBuilder.PointPattern
get

Returns the point pattern used to control how to standard parts.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.Tooling.StandardPartBuilder.PostioningPlane
get

Returns the postioning plane used to position a standard part.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Tooling.StandardPartBuilder.RefsetName NXOpen.Tooling.StandardPartBuilder.ReferenceSet
getset

Returns or sets the reference set currently used to add a new component to an assembly.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

unsafe bool NXOpen.Tooling.StandardPartBuilder.RenameComponents
getset

Returns or sets the flag to indicate whether to bring up the Part Name Management dialog.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

unsafe bool NXOpen.Tooling.StandardPartBuilder.ShowInfoWindow
getset

Returns or sets the flag to indicate whether to show the Information Window.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

unsafe NXOpen.SelectNXObject NXOpen.Tooling.StandardPartBuilder.StandardPartComponent
get

Returns the standard part component which is selected to be edited.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Tooling.StandardPartBuilder.EditType NXOpen.Tooling.StandardPartBuilder.StandardPartEditType
getset

Returns or sets the standard part edit type of processing the selected component.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.